<?php
/**
 * Plugin Name: Remixd Voice
 * Plugin URI: https://www.remixd.com/
 * Description: Remixd’s Audicles&trade; utilize publisher text and converts it into playable audio for easy and convenient on page consumption.
 * Version: 1.2.0
 * Author: Remixd Voice
 **/

if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

if (!defined('REMIXD_PLUGIN_URL')) {
    define('REMIXD_PLUGIN_URL', plugin_dir_url(__FILE__));
}

if (!defined('REMIXD_PLUGIN_DIR')) {
    define( 'REMIXD_PLUGIN_DIR', dirname( __FILE__ ) . '/' );
}

if (!defined('REMIXD_ROUTE_ACTIVATE_PLAYER')) {
    define('REMIXD_ROUTE_ACTIVATE_PLAYER', 'https://dashboard-api.remixd.com/plugins/activate?activationKey=');
}

if (!defined('REMIXD_ROUTE_GET_TAG')) {
    define('REMIXD_ROUTE_GET_TAG', 'https://dashboard-api.remixd.com/plugins/player-tag?activationKey=');
}

if (!defined('REMIXD_TAG')) {
    define('REMIXD_TAG', '<script type="text/javascript" id="remixd-audio-player-script" src="https://tags.remixd.com/player/PLAYER_VERSION/index.js?cb=%%CACHEBUSTER%%" charset="utf-8" async></script>');
}

if (!defined('REMIXD_AMP_TAG')) {
    define('REMIXD_AMP_TAG', '<style amp-custom>.remixdad{width:100%; max-width: 100%;}</style><amp-ad type="remixd" height="100" data-version="5" class="remixdad" data-url="STANDARD_PAGE_PERMALINK"></amp-ad>');
}


require_once REMIXD_PLUGIN_DIR . 'lib/settings.php';
require_once REMIXD_PLUGIN_DIR . 'lib/remixd-player.php';

if (is_admin()) {
    $remixd_settings_page = new Remixd_Settings();
}

$remixd_player = new Remixd_Player();